# coding: utf-8

"""
    Screening AI API Docs

    API Documentation for Screening AI

    The version of the OpenAPI document: 1.0
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


from __future__ import annotations
import pprint
import re  # noqa: F401
import json

from pydantic import BaseModel, ConfigDict, Field, StrictStr
from typing import Any, ClassVar, Dict, List
from typing import Optional, Set
from typing_extensions import Self

class GetOrganisationMemberStatusResponseDto(BaseModel):
    """
    GetOrganisationMemberStatusResponseDto
    """ # noqa: E501
    org_id: StrictStr = Field(description="Organisation ID", alias="orgId")
    org_alias: StrictStr = Field(description="Organisation Alias", alias="orgAlias")
    platform_user_id: StrictStr = Field(description="Platform User ID", alias="platformUserId")
    email: StrictStr = Field(description="Email of the user")
    first_name: StrictStr = Field(description="First name of the user", alias="firstName")
    last_name: StrictStr = Field(description="Last name of the user", alias="lastName")
    dp_url: StrictStr = Field(description="Profile Picture URL of the user", alias="dpUrl")
    status: StrictStr = Field(description="Status of the user")
    created_at: StrictStr = Field(description="Time of user creation in ISO Date Time String Format", alias="createdAt")
    __properties: ClassVar[List[str]] = ["orgId", "orgAlias", "platformUserId", "email", "firstName", "lastName", "dpUrl", "status", "createdAt"]

    model_config = ConfigDict(
        populate_by_name=True,
        validate_assignment=True,
        protected_namespaces=(),
    )


    def to_str(self) -> str:
        """Returns the string representation of the model using alias"""
        return pprint.pformat(self.model_dump(by_alias=True))

    def to_json(self) -> str:
        """Returns the JSON representation of the model using alias"""
        # TODO: pydantic v2: use .model_dump_json(by_alias=True, exclude_unset=True) instead
        return json.dumps(self.to_dict())

    @classmethod
    def from_json(cls, json_str: str) -> Optional[Self]:
        """Create an instance of GetOrganisationMemberStatusResponseDto from a JSON string"""
        return cls.from_dict(json.loads(json_str))

    def to_dict(self) -> Dict[str, Any]:
        """Return the dictionary representation of the model using alias.

        This has the following differences from calling pydantic's
        `self.model_dump(by_alias=True)`:

        * `None` is only added to the output dict for nullable fields that
          were set at model initialization. Other fields with value `None`
          are ignored.
        """
        excluded_fields: Set[str] = set([
        ])

        _dict = self.model_dump(
            by_alias=True,
            exclude=excluded_fields,
            exclude_none=True,
        )
        return _dict

    @classmethod
    def from_dict(cls, obj: Optional[Dict[str, Any]]) -> Optional[Self]:
        """Create an instance of GetOrganisationMemberStatusResponseDto from a dict"""
        if obj is None:
            return None

        if not isinstance(obj, dict):
            return cls.model_validate(obj)

        _obj = cls.model_validate({
            "orgId": obj.get("orgId"),
            "orgAlias": obj.get("orgAlias"),
            "platformUserId": obj.get("platformUserId"),
            "email": obj.get("email"),
            "firstName": obj.get("firstName"),
            "lastName": obj.get("lastName"),
            "dpUrl": obj.get("dpUrl"),
            "status": obj.get("status"),
            "createdAt": obj.get("createdAt")
        })
        return _obj


