# coding: utf-8

"""
    Screening AI API Docs

    API Documentation for Screening AI

    The version of the OpenAPI document: 1.0
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


from __future__ import annotations
import pprint
import re  # noqa: F401
import json

from pydantic import BaseModel, ConfigDict, Field, StrictBool, StrictStr
from typing import Any, ClassVar, Dict, List
from typing import Optional, Set
from typing_extensions import Self

class PlatformCreateScreeningJobDto(BaseModel):
    """
    PlatformCreateScreeningJobDto
    """ # noqa: E501
    screening_template_id: StrictStr = Field(description="Screening Template ID", alias="screeningTemplateId")
    title: StrictStr = Field(description="Screening Job Title")
    job_active: StrictBool = Field(description="Screening Job Active Status", alias="jobActive")
    jd: StrictStr = Field(description="Screening Job JD")
    upvotes: List[StrictStr] = Field(description="Screening Job Upvotes")
    created_at: StrictStr = Field(description="Creation date in ISO Date Time String", alias="createdAt")
    __properties: ClassVar[List[str]] = ["screeningTemplateId", "title", "jobActive", "jd", "upvotes", "createdAt"]

    model_config = ConfigDict(
        populate_by_name=True,
        validate_assignment=True,
        protected_namespaces=(),
    )


    def to_str(self) -> str:
        """Returns the string representation of the model using alias"""
        return pprint.pformat(self.model_dump(by_alias=True))

    def to_json(self) -> str:
        """Returns the JSON representation of the model using alias"""
        # TODO: pydantic v2: use .model_dump_json(by_alias=True, exclude_unset=True) instead
        return json.dumps(self.to_dict())

    @classmethod
    def from_json(cls, json_str: str) -> Optional[Self]:
        """Create an instance of PlatformCreateScreeningJobDto from a JSON string"""
        return cls.from_dict(json.loads(json_str))

    def to_dict(self) -> Dict[str, Any]:
        """Return the dictionary representation of the model using alias.

        This has the following differences from calling pydantic's
        `self.model_dump(by_alias=True)`:

        * `None` is only added to the output dict for nullable fields that
          were set at model initialization. Other fields with value `None`
          are ignored.
        """
        excluded_fields: Set[str] = set([
        ])

        _dict = self.model_dump(
            by_alias=True,
            exclude=excluded_fields,
            exclude_none=True,
        )
        return _dict

    @classmethod
    def from_dict(cls, obj: Optional[Dict[str, Any]]) -> Optional[Self]:
        """Create an instance of PlatformCreateScreeningJobDto from a dict"""
        if obj is None:
            return None

        if not isinstance(obj, dict):
            return cls.model_validate(obj)

        _obj = cls.model_validate({
            "screeningTemplateId": obj.get("screeningTemplateId"),
            "title": obj.get("title"),
            "jobActive": obj.get("jobActive"),
            "jd": obj.get("jd"),
            "upvotes": obj.get("upvotes"),
            "createdAt": obj.get("createdAt")
        })
        return _obj


